Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`modules`.`_DefaultMapImpl``

class documentation

`class _DefaultMapImpl: (source)`

Implements interfaces: `twisted.python.modules.IPathImportMapper`

View In Hierarchy

Wrapper for the default importer, i.e. None.

Method | `mapPath` | Return a FilePath-like object.

def mapPath(self, fsPathString): (source)
from `twisted.python.modules.IPathImportMapper`

Return a FilePath-like object.

Parameters
fsPathString | Undocumented
pathLikeString | a path-like string, like one that might be passed to an import hook.
Returns
a `FilePath`, or something like it (currently only a `ZipPath`, but more might be added later).